FreeBSD : rxvt-unicode -- restore permissions on tty devices (c2fdb3bc-7d72-11da-b96e-000fb586ba73)

High Nessus Plugin ID 21508


The remote FreeBSD host is missing a security-related update.


A rxvt-unicode changelog reports :

SECURITY FIX: on systems using openpty, permissions were not correctly updated on the tty device and were left as world-readable and world-writable (likely in original rxvt, too), and were not restored properly. Affected are only systems where non-unix ptys were used (such as most BSDs). Found, patched and debugged by Ryan Beasley.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 21508

File Name: freebsd_pkg_c2fdb3bc7d7211dab96e000fb586ba73.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2006/05/13

Modified: 2013/06/22

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:rxvt-unicode, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2006/01/04

Vulnerability Publication Date: 2005/12/31